Issue 122410 - Undo changes doesn't update in the Slide Pane.
Undo changes doesn't update in the Slide Pane.
Status: RESOLVED FIXED
Product: Impress
Classification: Application
Component: editing
3.4.1
PC Windows 7
: P3 minor (vote)
: 4.0.0
Assigned To: AOO issues mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 13:39 UTC by klingen
Modified: 2013-07-12 16:41 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description klingen 2013-05-29 13:39:12 UTC
1. Create a new presentation
2. Type some text in a textbox in the new slide, eg: motorcycle
3. Check the Slide Pane preview and see that the text "motorcycle" is visible
2. Change motorcycle to motorboat
3. Press undo or use ctrl+z to change the text back to motorcycle
4. Check the Slide Pane, the preview of the slide doesn't show the undo change.

Comment: It does update if you click the text box or edit something in the affected slide.
Comment 1 Armin Le Grand 2013-05-30 12:42:06 UTC
ALG: Confirmed. The principle change detection is working, the edit view object *is* updated. Looking for the SlideSorter update...
Comment 2 Armin Le Grand 2013-05-30 12:42:23 UTC
ALG: To accepted...
Comment 3 Armin Le Grand 2013-05-30 13:06:32 UTC
ALG: Good catch! The methods in the Undo/Redo which exchange the text at the SdrObjects do not broadcast that change. The SlideSorter again relays on this broadcasts. Added these to the Undo/Redo for text changes.
Comment 4 Armin Le Grand 2013-05-30 13:09:14 UTC
ALG: Checked, comitted, done.
Comment 5 SVN Robot 2013-05-30 13:11:45 UTC
"alg" committed SVN revision 1487847 into trunk:
i122410 extended Udo/Redo for text to broadcast